2019-03-26 04:56 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002291NetSurfGTK-specificpublic2016-02-16 15:29
ReporterMarius Cirsta 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSFrugalwareOS Versioncurrent
Product Version3.3 
Target Version3.4Fixed in Version3.4 
Summary0002291: Assertion `ssl_current_session != ((void *)0) && "Can't use sslcert window after sslcert_viewer_fini()"' failed
Description Whenever navigate to frugalware.org netsurf complains about SSL certificate problem ( correct, cert is expired ) but for some reason 6 "SSL certificate problem" windows appear.
 I then click accept on nr. 6 which closes and I get to nr. 5. When I click accept on that Netsurf crashed with:

 Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
netsurf: desktop/tree.c:240: treeview_test_mouse_action: Assertion `ssl_current_session != ((void *)0) && "Can't use sslcert window after sslcert_viewer_fini()"' failed.
Aborted (core dumped)

 It's a custom Netsurf build for my Linux distribution, Frugalware.
Additional Information Netsurf is built with

Name : gtk+3
Version : 3.14.9-1
 
 but I had to add this patch to netsurf:

--- netsurf-3.0/gtk/Makefile.target 2013-04-19 23:27:45.000000000 +0300
+++ netsurf-3.0.new/gtk/Makefile.target 2013-12-24 15:38:11.000000000 +0200
@@ -36,7 +36,6 @@
 GTKDEPFLAGS := -DG_DISABLE_SINGLE_INCLUDES \
         -DG_DISABLE_DEPRECATED \
                -DGTK_DISABLE_SINGLE_INCLUDES \
- -DGTK_DISABLE_DEPRECATED \
         -DGTK_MULTIHEAD_SAFE \
         -DPANGO_DISABLE_DEPRECATED \
                -DGDK_PIXBUF_DISABLE_DEPRECATED
 
TagsNo tags attached.
Fixed in CI build #2715
Reported in CI build #
URL of problem pagehttps://frugalware.org/
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000824

Vincent Sanders (administrator)

GTK 3 support was fixed to remove all the deprecated interfaces. Additionally the ssl certificate dialog was re-implemented and now sets its parent appropriately

This problem fix has been committed to the revision control system and will appear in the 3.4 release.
Vincent Sanders

~0001318

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-03-17 22:22 Marius Cirsta New Issue
2015-03-19 22:36 Vincent Sanders URL of problem page => https://frugalware.org/
2015-03-19 22:36 Vincent Sanders Assigned To => Vincent Sanders
2015-03-19 22:36 Vincent Sanders Status new => acknowledged
2015-04-12 13:13 Vincent Sanders Fixed in CI build # => 2715
2015-04-12 13:13 Vincent Sanders Note Added: 0000824
2015-04-12 13:13 Vincent Sanders Status acknowledged => resolved
2015-04-12 13:13 Vincent Sanders Resolution open => fixed
2015-04-12 13:13 Vincent Sanders Fixed in Version => 3.4
2015-04-12 13:13 Vincent Sanders Target Version => 3.4
2016-02-16 15:29 Vincent Sanders Note Added: 0001318
2016-02-16 15:29 Vincent Sanders Status resolved => closed
+Issue History